package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationCipD;
import com.artfess.cqlt.model.QfOperationCipM;

import java.util.List;

/**
 * 运营--持续改进数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-21
 */
public interface QfOperationCipMManager extends BaseManager<QfOperationCipM> {

    boolean insertInfo(QfOperationCipM t);

    boolean updateInfo(QfOperationCipM t);

    boolean updateStatus(QfOperationCipM t);

    boolean importExcel(List<QfOperationCipD> list, String mainId);
}
